Get an Endpoint
Gets an Endpoint from a Project.
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"foreignId": "<string>",
"channel": "webchat3",
"flowId": "<string>",
"localeId": "<string>",
"URLToken": "f65b289912c929c2a09523dd48eedb1249bb74384f6561f84b4ffc5e84d2f15f",
"name": "New Endpoint",
"entrypoint": "667ed4ae16d66f47dc2a9400",
"active": true,
"nluConnectorId": "cognigy",
"useConversations": true,
"maskIPAddress": true,
"maskAnalytics": true,
"maskLogging": true,
"useContactProfiles": true,
"useAnalytics": true,
"useDashbotAnalytics": true,
"dashbotApikey": "<string>",
"dashbotPlatform": "<string>",
"disableInputSanitization": "<string>",
"disableSkipUriTags": "<string>",
"overrideSnapshotConnections": true,
"settings": {
"accessScope": "<string>",
"accessToken": "<string>",
"appId": "<string>",
"appSecret": "<string>",
"backgroundImageUrl": "<string>",
"basicAuthPassword": "<string>",
"basicAuthUser": "<string>",
"botUserId": "<string>",
"businessHours": {
"businessHours": [
{
"startTime": "<string>",
"endTime": "<string>",
"weekDay": "<string>"
}
],
"enabled": true,
"text": "<string>",
"mode": "<string>",
"timeZone": "<string>",
"title": "<string>"
},
"colorScheme": "<string>",
"connectionName": "<string>",
"customJSON": "<string>",
"designTemplate": 123,
"disableHtmlContentSanitization": true,
"disableInputAutocomplete": true,
"disableInputAutogrow": true,
"disableUrlButtonSanitization": true,
"enableGenericHTMLStyling": true,
"enableAsyncCommunication": true,
"engagementMessageText": "<string>",
"displayGetStartedButton": true,
"dynamicImageAspectRatio": true,
"enableCollectMetadata": true,
"enableConnectionStatusIndicator": true,
"enableDemoWebchat": true,
"enableFileUpload": true,
"enablePersistentMenu": true,
"enableSTT": true,
"enableTTS": true,
"enableUnreadMessageBadge": true,
"enableUnreadMessagePreview": true,
"enableUnreadMessageSound": true,
"enableUnreadMessageTitleIndicator": true,
"enableTypingIndicator": true,
"facebookPageToken": "<string>",
"focusInputAfterPostback": true,
"getStartedButtonText": "<string>",
"getStartedPayload": "<string>",
"getStartedText": "<string>",
"getStartedData": "<string>",
"headerLogoUrl": "<string>",
"hubSecret": "<string>",
"inputAutogrowMaxRows": 123,
"inputPlaceholder": "<string>",
"language": "<string>",
"lineChannelAccessToken": "<string>",
"lineChannelSecret": "<string>",
"maintenance": {
"enabled": true,
"mode": "<string>",
"text": "<string>",
"title": "<string>"
},
"mergeContactProfiles": true,
"messageDelay": 123,
"messageLogoUrl": "<string>",
"overwriteWebchatBundleUrl": "<string>",
"ratingTitleText": "<string>",
"ratingCommentText": "<string>",
"ratingMessageHistoryRatingText": "<string>",
"ratingMessageHistoryCommentText": "<string>",
"reparseAlexaSlots": true,
"requestFacebookProfileData": true,
"restEndpointAuthentication": {},
"sessionExpiration": 123,
"shouldOverwriteWebchatBundleUrl": true,
"showEngagementMessagesInChat": true,
"slackOAuthAccessToken": "<string>",
"slackVerifyToken": "<string>",
"sunshineConversationsChannelKeyId": "<string>",
"sunshineConversationsChannelSecret": "<string>",
"sunshineConversationsChannelUri": "<string>",
"tenantId": "<string>",
"updateContactProfileWithFacebookProfile": true,
"voice": "<string>",
"webhookEndpointAuthentication": {},
"webhookUrl": "<string>",
"skill": {},
"persistentMenu": {}
},
"transformer": {
"abortOnError": true,
"transformer": "<string>",
"transpiledTransformer": "<string>",
"inputTransformerEnabled": true,
"outputTransformerEnabled": true,
"finalPingTransformerEnabled": true,
"notifyTransformerEnabled": true,
"injectTransformerEnabled": true
},
"handoverSettings": {
"providerSettings": {
"forwardOnlyHandoverConversations": true,
"getQueueUpdates": true,
"apiVersion": "<string>",
"baseUrl": "<string>",
"apiAccessToken": "<string>",
"baseApiUrl": "<string>",
"realtimeAccessToken": "<string>",
"realtimeEndpointUrl": "<string>",
"webhookSecret": "<string>",
"botCategoryId": "<string>",
"agentCategoryId": "<string>",
"organizationId": "<string>",
"deploymentId": "<string>",
"buttonId": "<string>"
},
"agentAssistSettings": {
"agentAssistFlowId": "<string>",
"agentAssistConfigId": "<string>",
"enableTranscriptTile": true,
"enableTranscriptTileChatInput": true,
"redactTranscriptTileMessages": true,
"enableAgentCopilotAuthentication": true,
"blockNonJWTRequests": true,
"agentCopilotAuthentication": "<string>",
"copilotAuthenticationPublicKeys": [
"<string>"
],
"copilotAuthenticationKeyStoreUrl": "<string>",
"oAuth2Connection": "<string>"
}
},
"orgDataPrivacySettings": {
"enabled": true,
"useAnalytics": true,
"storeDataPayload": true,
"useContactProfiles": true,
"useConversations": true,
"maskIPAddress": true,
"maskAnalytics": true,
"maskLogging": true
},
"_id": "<string>",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>"
}{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
Supply the API Key in the HTTP-Header
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
application/json, application/hal+json, application/xml, text/xml, text/csv Path Parameters
The Id of the Endpoint
24^[a-z0-9]{24}$Response
Returns the Endpoint object.
The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.
facebook, alexa, slack, generic, inject, rest, realtime, socket, adminconsole, webchat2, dialogflow, twilio, twilio-sms, line, intercom, microsoftBotFramework, microsoftTeams, sunshineConversations, admin-webchat, avaya, nonConversational, voiceGateway2, amazonLex, workplace, webhook, abstractRest, userlike, ringCentralEngage, audioCodes, bandwidth, whatsapp, eightByEight, genesysBotConnector, niceCXOne, agentAssistVoice, webchat3, niceCXOneAAH, zoomContactCenter, mcpServer "webchat3"
The URLToken of the endpoint
"f65b289912c929c2a09523dd48eedb1249bb74384f6561f84b4ffc5e84d2f15f"
The name of the endpoint
"New Endpoint"
The ID can be either a Snapshot ID or a Project ID. The Endpoint will refer to the chosen one.
"667ed4ae16d66f47dc2a9400"
Toggle whether the endpoint is active or not
The NLU Connector type.
alexa, dialogflow, dialogflowBuiltIn, amazonLexBuiltIn, luis, watson, noNlu, cognigy, code, generativeAI, lex "cognigy"
Whether to collect conversations history for this endpoint
Whether to mask sensitive IP address in input object and analytics data for this endpoint
Whether to mask sensitive data in analytics for this endpoint
Whether to mask sensitive data in logs for this endpoint
Whether to use contact profiles for this endpoint
Whether we should store analytics for this endpoint
Whether we should use Dashbot to collect analytics
The apikey for the dashbot bot
If true, disables input text sanitization after Input Transformer
If true, disables skipping of uri tags
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Organisation data privacy settings overwrite the ones defined on endpoint-level
Show child attributes
Show child attributes
24^[a-z0-9]{24}$Unix-timestamp
0 <= x <= 21474836471694518620
Unix-timestamp
0 <= x <= 21474836471694518620
24^[a-z0-9]{24}$24^[a-z0-9]{24}$